Subject: Re: [nfsv4] RFC 8276 and minor versions

From: "van der Linden, Frank" <[email-masked]>
Date: Wed, 1 Apr 2020 18:09:26 +0000

Thanks Dave & Thomas,

That confirms what I was thinking. I already advised someone to just to an "all-optional 4.2" server implementation last year when they showed interest in my Linux kernel RFC 8276 implementation, so glad to see that I got that right.

- Frank
On 3/29/20, 8:20 PM, "nfsv4 on behalf of Thomas Haynes" <[email-masked] on behalf of [email-masked]> wrote:

CAUTION: This email originated from outside of the organization. Do not click links or open attachments unless you can confirm the sender and know the content is safe.

One thing to remember as far as RFC7862 is concerned, the simplest NFSv4.2 client or server is to take an existing NFSv4.1 implementation and make everything optional.

So a NFSv4.1 client can be extended by bumping the allowed minor version from 1 to 2 and not invoking any of the new NFSv4.2 semantics.

And the NFSv4.1 server can easily be extend by bumping the minor version and returning NFS4ERR_NOTSUPP to any of the new ops and also be prepared to handle the new attributes.

So you cannot take a NFSv4.0 implementation and only support extended attributes, but you can take a NFSv.1 and trivially only support extended attributes.

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nfsv4